#
# spec file for package owncloud-files
#
# Copyright (c) 2012-2019 ownCloud, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes, issues or comments via http://github.com/owncloud/
#
%define apache_serverroot /usr/share
%define apache_confdir /etc/httpd/conf.d
%define oc_dir  %{apache_serverroot}/owncloud
%define oc_config_dir   %{oc_dir}/config
%define oc_data_dir     %{oc_dir}/data

%define oc_user apache
%define oc_group apache

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Summary: Owncloud package
License: AGPL-3.0 and MIT
Name: owncloud-files
Version: 10.2.0
Release: 6%{?dist}
Source0: http://download.owncloud.org/community/owncloud-%{version}.tar.bz2
Source1: owncloud-files.conf
Source2: config.php
BuildArch: noarch
URL: https://www.owncloud.com/

Obsoletes: owncloud-httpd  <= 10.0.9
Obsoletes: owncloud-mysql  <= 10.0.9
Obsoletes: owncloud        <= 10.0.9

BuildRequires: httpd

Requires: httpd
# Required php packages
Requires: rh-php71
Requires: rh-php71-php-fpm
Requires: rh-php71-php-gd
Requires: rh-php71-php-pdo
Requires: rh-php71-php-mbstring

# Recommended php packages
Requires: rh-php71-php-intl

# Required php packages for specific apps
Requires: rh-php71-php-ldap

# Required php packages for MariaDB
Requires: rh-php71-php-pdo_mysql


%description
ownCloud Server provides you a private file sync and share
cloud. Host this server to easily sync business or private documents
across all your devices, and share those documents with other users of
your ownCloud server on their devices.

This package installs as follows:
oc_dir:        %{oc_dir}
oc_data_dir:   %{oc_data_dir}
oc_config_dir: %{oc_config_dir}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{oc_data_dir}
mkdir -p %{buildroot}/usr/share
tar xf %{SOURCE0} -C %{buildroot}/usr/share

mkdir -p %{buildroot}/%{oc_dir}
mkdir -p %{buildroot}/%{oc_dir}/etc
mkdir -p %{buildroot}/%{oc_data_dir}
mkdir -p %{buildroot}/%{oc_config_dir}
mkdir -p %{buildroot}/%{oc_dir}/assets
mkdir -p %{buildroot}/%{oc_dir}/updater
mkdir -p %{buildroot}/%{oc_dir}/apps-external
mkdir -p %{buildroot}/%{_sysconfdir}/owncloud

mkdir -p %{buildroot}/etc/httpd/conf.d
cp %{SOURCE1} %{buildroot}/etc/httpd/conf.d
cp %{SOURCE2} %{buildroot}/%{_sysconfdir}/owncloud

rm -rf %{buildroot}/%{oc_config_dir}


# symlink config dir
ln -sf %{_sysconfdir}/owncloud %{buildroot}/%{oc_dir}/config

%files 
%{oc_dir}/config
%defattr(0755,%{oc_user},%{oc_group},0775)
%attr(-,-,-) %{oc_dir}/apps
%attr(-,-,-) %{oc_dir}/apps-external
%defattr(0640,root,%{oc_group},0750)
%dir %attr(0755,root,%{oc_group}) %{oc_dir}
%dir %attr(0775,root,%{oc_group}) %{_sysconfdir}/owncloud
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/occ
%attr(0750,%{oc_user},%{oc_group}) %{oc_dir}/assets
%attr(0750,%{oc_user},%{oc_group}) %{oc_dir}/updater
%attr(0775,%{oc_user},%{oc_group}) %{oc_data_dir}
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/lib
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/core
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/settings
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/resources
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/ocs*
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/*.php
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/AUTHORS
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/index.html
%attr(0755,%{oc_user},%{oc_group}) %{oc_dir}/robots.txt
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/.htaccess
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/CHANGELOG.md
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/COPYING
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/db_structure.xml
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/ocm-provider/index.php
%attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/README.md

%config(noreplace) %attr(0640,%{oc_user},%{oc_group}) %{_sysconfdir}/owncloud/config.php
%config(noreplace) %attr(0644,%{oc_user},%{oc_group}) %{oc_dir}/.user.ini
%config(noreplace) %attr(0644,root,root) %{apache_confdir}/owncloud-files.conf

%defattr(0644,%{oc_user},%{oc_group},0755)


%changelog
* Fri Aug 02 2019 Tyler Randolph <trandolph@clearcenter.com>
- revamp spec file (based on NextCloud spec file)
* Fri May 31 2019 Tyler Randolph <trandolph@clearcenter.com>
- Update to 10.2.0 
* Sun Jun 24 2018 Benjamin Chambers <bchambers@clearfoundation.com>
- Simplified spec file (based on on NextCloud original work from https://github.com/nextcloud/server-packages
* Tue Jun 05 2018 Tyler Randolph <trandolph@clearcenter.com>
- 10.0.8-1.1 - Update to 10.0.8
